program mty0;
uses mtx09;
var
  m:mtx;
begin
  mwr(mty(m)); // m not yet allocated so empty
  zer(m,1,1);  // m is a 1,1 matrix; m(1,1)=0.0
  mwr(mty(m)); // therefore NOT empty
  equ(m,'');   // m has some memory allocated but null size
  mwr(mty(m))  // therefore empty
end.
